"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AccountFactoryAbi = [
    {
        inputs: [
            {
                internalType: 'address',
                name: '_implementation',
                type: 'address',
            },
            {
                internalType: 'address',
                name: '_registry',
                type: 'address',
            },
            {
                internalType: 'bytes32',
                name: '_proxyBytecodeHash',
                type: 'bytes32',
            },
            {
                internalType: 'address',
                name: 'deployer',
                type: 'address',
            },
        ],
        stateMutability: 'nonpayable',
        type: 'constructor',
    },
    {
        inputs: [],
        name: 'DEPLOYMENT_FAILED',
        type: 'error',
    },
    {
        inputs: [],
        name: 'INITIALIZATION_FAILED',
        type: 'error',
    },
    {
        inputs: [],
        name: 'NOT_FROM_DEPLOYER',
        type: 'error',
    },
    {
        anonymous: false,
        inputs: [
            {
                indexed: true,
                internalType: 'address',
                name: 'accountAddress',
                type: 'address',
            },
        ],
        name: 'ClaveAccountCreated',
        type: 'event',
    },
    {
        anonymous: false,
        inputs: [
            {
                indexed: true,
                internalType: 'address',
                name: 'accountAddress',
                type: 'address',
            },
        ],
        name: 'ClaveAccountDeployed',
        type: 'event',
    },
    {
        anonymous: false,
        inputs: [
            {
                indexed: true,
                internalType: 'address',
                name: 'newDeployer',
                type: 'address',
            },
        ],
        name: 'DeployerChanged',
        type: 'event',
    },
    {
        anonymous: false,
        inputs: [
            {
                indexed: true,
                internalType: 'address',
                name: 'newImplementation',
                type: 'address',
            },
        ],
        name: 'ImplementationChanged',
        type: 'event',
    },
    {
        anonymous: false,
        inputs: [
            {
                indexed: true,
                internalType: 'address',
                name: 'previousOwner',
                type: 'address',
            },
            {
                indexed: true,
                internalType: 'address',
                name: 'newOwner',
                type: 'address',
            },
        ],
        name: 'OwnershipTransferred',
        type: 'event',
    },
    {
        anonymous: false,
        inputs: [
            {
                indexed: true,
                internalType: 'address',
                name: 'newRegistry',
                type: 'address',
            },
        ],
        name: 'RegistryChanged',
        type: 'event',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'newDeployer',
                type: 'address',
            },
        ],
        name: 'changeDeployer',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'newImplementation',
                type: 'address',
            },
        ],
        name: 'changeImplementation',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'newRegistry',
                type: 'address',
            },
        ],
        name: 'changeRegistry',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'accountAddress',
                type: 'address',
            },
        ],
        name: 'claveAccountCreated',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'bytes32',
                name: 'salt',
                type: 'bytes32',
            },
            {
                internalType: 'bytes',
                name: 'initializer',
                type: 'bytes',
            },
        ],
        name: 'deployAccount',
        outputs: [
            {
                internalType: 'address',
                name: 'accountAddress',
                type: 'address',
            },
        ],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'bytes32',
                name: 'salt',
                type: 'bytes32',
            },
        ],
        name: 'getAddressForSalt',
        outputs: [
            {
                internalType: 'address',
                name: 'accountAddress',
                type: 'address',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'bytes32',
                name: 'salt',
                type: 'bytes32',
            },
            {
                internalType: 'address',
                name: '_implementation',
                type: 'address',
            },
        ],
        name: 'getAddressForSaltAndImplementation',
        outputs: [
            {
                internalType: 'address',
                name: 'accountAddress',
                type: 'address',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'implementationAddress',
        outputs: [
            {
                internalType: 'address',
                name: '',
                type: 'address',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'owner',
        outputs: [
            {
                internalType: 'address',
                name: '',
                type: 'address',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'proxyBytecodeHash',
        outputs: [
            {
                internalType: 'bytes32',
                name: '',
                type: 'bytes32',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'registry',
        outputs: [
            {
                internalType: 'address',
                name: '',
                type: 'address',
            },
        ],
        stateMutability: 'view',
        type: 'function',
    },
    {
        inputs: [],
        name: 'renounceOwnership',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
    {
        inputs: [
            {
                internalType: 'address',
                name: 'newOwner',
                type: 'address',
            },
        ],
        name: 'transferOwnership',
        outputs: [],
        stateMutability: 'nonpayable',
        type: 'function',
    },
];
exports.default = AccountFactoryAbi;
//# sourceMappingURL=AccountFactory.js.map